package javax.sql;

import java.sql.SQLException;
import java.util.EventObject;

public class ConnectionEvent extends EventObject
{
    private SQLException ex;
    static final long serialVersionUID = -4843217645290030002L;
    
    public ConnectionEvent(PooledConnection source) {
        super(source);
        this.ex = null;
    }
    
    public ConnectionEvent(PooledConnection source, SQLException ex) {
        super(source);
        this.ex = null;
        this.ex = ex;
    }
    
    public SQLException getSQLException() {
        return this.ex;
    }
}
